org.apache.jasper.compiler

## Class TagPluginManager

- java.lang.Object
- - org.apache.jasper.compiler.TagPluginManager

-     public class TagPluginManager
      extends Object

  Manages tag plugin optimizations.
  Author:
    Kin-man Chung

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagPluginManager(ServletContext ctxt)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Node.Nodes page, ErrorDispatcher err, org.apache.jasper.compiler.PageInfo pageInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagPluginManager

          public TagPluginManager(ServletContext ctxt)

  - ### Method Detail

    - #### apply

          public void apply(Node.Nodes page,
                   ErrorDispatcher err,
                   org.apache.jasper.compiler.PageInfo pageInfo)
                     throws JasperException

      Throws:
        `JasperException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.